package solutions.bitbadger.documents.scala

import org.scalatest.funspec.AnyFunSpec
import solutions.bitbadger.documents.FieldMatch

/**
 * Unit tests for the `FieldMatch` enum
 */
class FieldMatchTest extends AnyFunSpec {

  describe("sql") {
    describe("ANY") {
      it("should use OR") {
        assert("OR" == FieldMatch.ANY.getSql)
      }
    }
    describe("ALL") {
      it("should use AND") {
        assert("AND" == FieldMatch.ALL.getSql)
      }
    }
  }
}
